Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1055379 - nfs-ganesha: process crash while creating data [NEEDINFO]
Summary: nfs-ganesha: process crash while creating data
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: nfs-ganesha
Version: 2.1
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
: ---
Assignee: Bug Updates Notification Mailing List
QA Contact: storage-qa-internal@redhat.com
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-20 06:34 UTC by Saurabh
Modified: 2016-01-19 06:13 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-11-27 09:06:56 UTC
ansubram: needinfo? (saujain)
jthottan: needinfo? (saujain)


Attachments (Terms of Use)

Description Saurabh 2014-01-20 06:34:00 UTC
Description of problem:
The nfs-ganesha process crashed(core dumped).
The test that I was running was just creating few files. ALso, on the volume in consideration the quota was enabled.

Version-Release number of selected component (if applicable):
glusterfs-3.4.0.57rhs-1.el6rhs.x86_64
nfs-ganesha-2.0.0.1-5.el6rhs.x86_64

How reproducible:
happened once on this build

Steps to Reproduce:
1. create a volume, start it
2. start nfs-ganesha
3. mount the volume over nfs
4. enable quota
5. start creating data inside the directories.

Actual results:
a crash seen,
(gdb) bt
#0  list_del_init (glfd=0x7fd51875a050) at ../../libglusterfs/src/list.h:63
#1  glfs_fd_destroy (glfd=0x7fd51875a050) at glfs.c:382
#2  0x00000031bec0c209 in glfs_close (glfd=0x7fd51875a050) at glfs-fops.c:174
#3  0x00007fd559636753 in file_close () from /usr/lib64/ganesha/libfsalgluster.so.4.2.0
#4  0x00000000004c1f34 in cache_inode_close ()
#5  0x00000000004b953a in cache_inode_rdwr ()
#6  0x0000000000453128 in nfs_Write ()
#7  0x0000000000449420 in nfs_rpc_execute ()
#8  0x0000000000449c86 in worker_run ()
#9  0x00000000004e9267 in fridgethr_start_routine ()
#10 0x00000039e9e07851 in start_thread () from /lib64/libpthread.so.0
#11 0x00000039e9ae894d in clone () from /lib64/libc.so.6

from nfs-ganesha logs,
17/01/2014 15:14:19 : epoch 52d8fb36 : rhsauto004.lab.eng.blr.redhat.com : ganesha.nfsd-29254[reaper] nfs_in_grace :STATE :EVENT :NFS Server Now NOT IN GRACE
17/01/2014 19:48:29 : epoch 52d8fb36 : rhsauto004.lab.eng.blr.redhat.com : ganesha.nfsd-29254[work-3] cache_inode_close :INODE :CRIT :FSAL_close failed, returning 26(CACHE_INODE_QUOTA_EXCEEDED) for entry 0x7fd51079c8d0
17/01/2014 19:48:29 : epoch 52d8fb36 : rhsauto004.lab.eng.blr.redhat.com : ganesha.nfsd-29254[work-3] cache_inode_rdwr :INODE :CRIT :Error closing file in cache_inode_rdwr: 26.

Expected results:
crash unexpected

Additional info:

Comment 4 Soumya Koduri 2014-07-08 09:38:08 UTC
We haven't seen this issue with the latest RHS3.0 Denali Ganesha rpms (nfs-ganesha-2.1.0.2-4.el6rhs.x86_64)

Kindly re-run the test using the latest rpms and update the results.

Comment 5 Anand Subramanian 2015-05-27 06:03:51 UTC
Saurabh,

Please respond to Comment 4 - if you still see the issue. I don't think I could repro this on one of my VM-testbeds with quota. Moreover, you need to give the backtrace of other threads as well if you get a core (thread apply all bt). That should help.

If you cannot repro this with ganesha 2.2-RC please close the bug.

Comment 6 Jiffin 2015-07-16 08:58:57 UTC
This issue is not found in RHGS 3.1

Comment 7 Jiffin 2015-11-27 09:08:23 UTC
This is not produced in the latest ganesha version


Note You need to log in before you can comment on or make changes to this bug.